Run a Runbook
curl --request POST \
--url https://api.infragrid.ai/v1/runbooks/{runbook_id}/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": {},
"executionTarget": "<string>",
"revisionId": "<string>",
"metadata": {}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: {}, executionTarget: '<string>', revisionId: '<string>', metadata: {}})
};
fetch('https://api.infragrid.ai/v1/runbooks/{runbook_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.infragrid.ai/v1/runbooks/{runbook_id}/runs"
payload = {
"inputs": {},
"executionTarget": "<string>",
"revisionId": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Runbooks (preview)
Run a Runbook
Start a Run pinned to a published Runbook revision.
POST
/
v1
/
runbooks
/
{runbook_id}
/
runs
Run a Runbook
curl --request POST \
--url https://api.infragrid.ai/v1/runbooks/{runbook_id}/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": {},
"executionTarget": "<string>",
"revisionId": "<string>",
"metadata": {}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: {}, executionTarget: '<string>', revisionId: '<string>', metadata: {}})
};
fetch('https://api.infragrid.ai/v1/runbooks/{runbook_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.infragrid.ai/v1/runbooks/{runbook_id}/runs"
payload = {
"inputs": {},
"executionTarget": "<string>",
"revisionId": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Requires
Poll the returned Run with Get a run or an SDK
runs:write; local execution also requires runs:local. Returns
202 Accepted with a durable Run.
string
required
Published Runbook to execute.
string
Stable key for retrying this logical Run creation.
object
Values declared by the Runbook parameter contract.
string
cloud by default, or local for a paired Infragrid Desktop.string
Published immutable revision to pin. Omit to atomically select the latest published revision.
object
Application correlation metadata, at most 16 KB.
wait() helper.Last modified on August 28, 2026